Skip to main content
POST
/
api
/
v1
/
org
/
clusters
/
{cluster_id}
/
kubernetes
/
chat
Stream chat responses for cluster troubleshooting
import requests

url = "https://platform.ankra.app/api/v1/org/clusters/{cluster_id}/kubernetes/chat"

payload = {
    "query": "<string>",
    "addon_name": "<string>"
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: JSON.stringify({query: '<string>', addon_name: '<string>'})
};

fetch('https://platform.ankra.app/api/v1/org/clusters/{cluster_id}/kubernetes/chat', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
curl --request POST \
  --url https://platform.ankra.app/api/v1/org/clusters/{cluster_id}/kubernetes/chat \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "query": "<string>",
  "addon_name": "<string>"
}
'
{
  "detail": [
    {
      "loc": [
        "<string>"
      ],
      "msg": "<string>",
      "type": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

authorization
string | null
x-ankra-organisation-id
string | null

Path Parameters

cluster_id
string<uuid4>
required

Body

application/json
query
string
required
addon_name
string | null
chart_name
string | null
chart_version
string | null
conversation_history
ConversationMessage · object[] | null
conversation_id
string | null
current_values
Current Values · object | null
default_values
Default Values · object | null
draft_id
string | null
idempotency_key
string | null
images
ImageAttachment · object[] | null
include_logs
boolean
default:true
interaction_mode
enum<string>
default:agentic
Available options:
ask,
agentic,
plan
is_config_page
boolean
default:false
max_log_lines
integer
default:50
model_mode
string | null
namespace
string | null
page_context
PageContext · object | null
rag_context
RAGContext · object | null
regenerate_seed
string | null
repository_name
string | null
resource_name
string | null
resource_type
string | null
supersedes_plan_id
string | null

Response

Streaming chat response